Skip to main content
`Ctrl`+`K`

# PetscObjectSAWsTakeAccess

Take access of the data fields that have been published to SAWs by a `PetscObject` so their values may be changed in the computation

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSAWsTakeAccess(PetscObject obj)

Collective

## Input Parameter

- obj - the `PetscObject` variable. This must be cast with a (`PetscObject`), for example, `PetscObjectSAWSTakeAccess`((`PetscObject`)mat);

## Developer Notes

The naming should perhaps be changed to `PetscObjectSAWsGetAccess()` and `PetscObjectSAWsRestoreAccess()`

## See Also

`PetscObjectSetName()`, `PetscObjectSAWsViewOff()`, `PetscObjectSAWsGrantAccess()`

## Level

advanced

## Location

src/sys/ams/pams.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages